[arch-commits] Commit in (4 files)

Felix Yan fyan at archlinux.org
Tue Dec 23 02:42:21 UTC 2014


    Date: Tuesday, December 23, 2014 @ 03:42:21
  Author: fyan
Revision: 124374

addpkg: python2-netlib 0.11.1-1

Added:
  python2-netlib/
  python2-netlib/repos/
  python2-netlib/trunk/
  python2-netlib/trunk/PKGBUILD

----------+
 PKGBUILD |   32 ++++++++++++++++++++++++++++++++
 1 file changed, 32 insertions(+)

Added: python2-netlib/trunk/PKGBUILD
===================================================================
--- python2-netlib/trunk/PKGBUILD	                        (rev 0)
+++ python2-netlib/trunk/PKGBUILD	2014-12-23 02:42:21 UTC (rev 124374)
@@ -0,0 +1,32 @@
+# $Id$
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Nicolas Pouillard https://nicolaspouillard.fr
+
+pkgname=python2-netlib
+pkgver=0.11.1
+pkgrel=1
+pkgdesc="A collection of network utilities used by pathod and mitmproxy"
+url="https://github.com/mitmproxy/netlib"
+license=('MIT')
+arch=('any')
+depends=("python2-passlib" 'python2-pyasn1' 'python2-pyopenssl')
+checkdepends=('python2-nose' 'python2-mock')  # pathod (not in repos yet)
+source=("http://pypi.python.org/packages/source/n/netlib/netlib-$pkgver.tar.gz")
+sha256sums=('5d752d93863cbccd8bb8d7990b62903e803490fa2de12c4fb79e028e20a7d309')
+
+build() {
+  cd "$srcdir/netlib-$pkgver"
+  python2 setup.py build
+}
+
+check() {
+  cd "$srcdir/netlib-$pkgver"
+  nosetests2 || warning "Tests failed"
+}
+
+package() {
+  cd "$srcdir/netlib-$pkgver"
+  python2 setup.py install -O1 --skip-build --root="$pkgdir"
+
+  install -Dm644 LICENSE "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
+}


Property changes on: python2-netlib/trunk/PKGBUILD
___________________________________________________________________
Added: svn:keywords
## -0,0 +1 ##
+Id
\ No newline at end of property



More information about the arch-commits mailing list